Std ViewIsometric: Difference between revisions

From FreeCAD Documentation
(→‎How to use: It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.)
m (Add {{StdMenu}})
(10 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Std ViewIsometric
|Name=Std ViewIsometric
|MenuLocation=[[Std View Menu|View]] → Standard views → Axonometric → Isometric
|MenuLocation={{StdMenu|[[Std View Menu|View]]}} → Standard views → Axonometric → Isometric
|Workbenches=All
|Workbenches=All
|Shortcut=0
|Shortcut=0
|SeeAlso=[[Std_OrthographicCamera|Orthographic camera]]
|SeeAlso=[[Std_OrthographicCamera|Orthographic camera]], [[Std_ViewDimetric|ViewDimetric]], [[Std_ViewTrimetric|ViewTrimetric]]
}}
}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
Puts the camera in the [[3D view|3D view]] in axonometric isometric view.
[[Std ViewIsometric|Std ViewIsometric]] command puts the camera in the [[3D view|3D view]] in [https://en.wikipedia.org/wiki/Isometric_projection axonometric isometric] projection, with a view direction {{incode|[-0.5773, 0.5773, -0.5773]}}.


</translate>
[[Image:Orthographic_Perspective.gif]]
[[File:FreeCAD_views_front.svg]]
<translate>
<!--T:4-->
{{Caption|The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).}}


==Usage== <!--T:5-->
{{Caption|Perspective on the left, orthographic on the right.}}


<!--T:6-->
==How to use==
* Go to the menu {{MenuCommand|{{StdMenu|[[Std View Menu|View]]}} → Standard views → Axonometric → [[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}}.
* Or press the {{Button|[[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.
* Or press {{KEY|0}} in the numerical pad of the keyboard.


== Scripting == <!--T:7-->
# Go to the menu {{MenuCommand|View → Standard views → Axonometric → [[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}}.
# Or press the {{Button|[[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.


<!--T:8-->
== Scripting ==
The isometric view can be set from the [[Python console|Python console]].

The isometric view can be set from the [[Python|Python]] console.


<!--T:9-->
It is a method of the {{incode|ActiveView}} of the {{incode|ActiveDocument}}. The {{incode|ActiveView}} only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.
It is a method of the {{incode|ActiveView}} of the {{incode|ActiveDocument}}. The {{incode|ActiveView}} only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
App.Gui.ActiveDocument.ActiveView.viewIsometric()

import FreeCADGui as Gui
import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()
Gui.ActiveDocument.ActiveView.viewIsometric()

Gui.ActiveDocument.ActiveView.getViewDirection()
}}
}}
<translate>
<translate>


<!--T:10-->
{{Std Base}}
{{Std Base navi}}
{{Userdocnavi}}
{{Userdocnavi}}
</translate>
</translate>

Revision as of 03:38, 19 February 2020

Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Orthographic camera, ViewDimetric, ViewTrimetric

Description

Std ViewIsometric command puts the camera in the 3D view in axonometric isometric projection, with a view direction [-0.5773, 0.5773, -0.5773].

The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).

Usage

  • Go to the menu View → Standard views → Axonometric → Isometric.
  • Or press the Isometric button.
  • Or press 0 in the numerical pad of the keyboard.

Scripting

The isometric view can be set from the Python console.

It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.

import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()

Gui.ActiveDocument.ActiveView.getViewDirection()